JavaStubCompilationUnit (Groovy 5.0.0)

Package: org.codehaus.groovy.tools.javac

## [Java] Class JavaStubCompilationUnit

- org.codehaus.groovy.tools.javac.JavaStubCompilationUnit

-     public class JavaStubCompilationUnit
      extends CompilationUnit

  Compilation unit to only generate stubs.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class CompilationUnit` | `ast, astTransformationsContext, classNodeResolver, classgenCallback, configured, debug, progressCallback, queuedSources, resolveVisitor, sources`
    `class ProcessingUnit` | `classLoader, configuration, errorCollector, phase, phaseComplete`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `JavaStubCompilationUnit(CompilerConfiguration config, GroovyClassLoader gcl, File destDir)`
    `JavaStubCompilationUnit(CompilerConfiguration config, GroovyClassLoader gcl)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public SourceUnit` | `addSource(File file)`
    `` | `public SourceUnit` | `addSource(URL url)`
    `` | `public void` | `compile()`
    `` | `public void` | `configure(CompilerConfiguration config)`
    `` | `public int` | `getStubCount()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class CompilationUnit` | `addClassNode, addFirstPhaseOperation, addFirstPhaseOperation, addJavaCompilationUnits, addNewPhaseOperation, addNewPhaseOperation, addPhaseOperation, addPhaseOperation, addPhaseOperation, addPhaseOperation, addPhaseOperation, addPhaseOperation, addSource, addSource, addSource, addSource, addSource, addSources, addSources, applyToPrimaryClassNodes, applyToSourceUnits, call, call, compile, compile, configure, createClassVisitor, dequeued, getAST, getASTTransformationsContext, getClassNode, getClassNodeResolver, getClasses, getClassgenCallback, getCommonSuperClass, getFirstClassNode, getJavaCompilationUnitSet, getProgressCallback, getSourceUnit, getTransformLoader, hasNext, iterator, mark, needSortedInput, needSortedInput, next, remove, setClassNodeResolver, setClassgenCallback, setProgressCallback`
    `class ProcessingUnit` | `completePhase, configure, getClassLoader, getConfiguration, getErrorCollector, getPhase, getPhaseDescription, gotoPhase, isPhaseComplete, nextPhase, setClassLoader, setConfiguration`

- - ### Constructor Detail

    - #### public JavaStubCompilationUnit(CompilerConfiguration config, GroovyClassLoader gcl, File destDir)

    - #### public JavaStubCompilationUnit(CompilerConfiguration config, GroovyClassLoader gcl)

  - ### Method Detail

    - #### @Override
      public SourceUnit addSource(File file)

    - #### @Override
      public SourceUnit addSource(URL url)

    - #### @Override
      public void compile()

    - #### @Override
      public void configure(CompilerConfiguration config)

    - #### public int getStubCount()